#ifndef _BOOLINPUT2_H_
#define _BOOLINPUT2_H_

/*Headers:*/
#include "./Input2.h"

class BoolInput2: public Input2{

	private:
		int   size;
		bool* values;

	public:
		/*BoolInput2 constructors, destructors: {{{*/
		BoolInput2();
		BoolInput2(int size_in);
		~BoolInput2();
		/*}}}*/
		/*Object virtual functions definitions:{{{ */
		Input2 *copy();
		void    DeepEcho();
		void    Echo();
		int     Id();
		void    Marshall(char** pmarshalled_data,int* pmarshalled_data_size, int marshall_direction);
		int     ObjectEnum();
		/*}}}*/
		/*BoolInput2 management: {{{*/
		void GetInput(bool* pvalue,int index);
		void SetInput(int index,bool value);
		/*}}}*/
		/*numerics: {{{*/
		/*}}}*/

};
#endif  /* _BOOLINPUT_H */
